VMware Cloud Provider Lifecycle Manager 1.2.0.1 | 15 DEC 2021| Build 19070250

Check for additions and updates to these release notes.

What's in the Release Notes

The release notes cover the following topics:

What's New

The VMware Cloud Director Lifecycle Manager 1.2.0.1 resolves the security vulnerability recently found in the Apache Log4j library (CVE-2021-44228).

New 
Interoperability Bundle

The VMware Cloud Provider Lifecycle Manager interoperability bundle contains definitions for the new product interoperability with VMware products. This bundle includes also minor fixes for the integration of VMware Cloud Provider Lifecycle Manager with the products as well as an install script to install the interoperability bundle on the VMware Cloud Provider Lifecycle Manager virtual machine.

Interoperability Bundle Releases

Date Version Description
17 JAN 2022 1.2 Added support for VMware Cloud Director 10.3.2 and vCloud Usage Meter 4.5.
21 DEC 2021 1.1 Added support for vCloud Usage Meter 4.5.

 

 

 

Install the Interoperability Bundle

  1. From Customer Connect, download the interoperability bundle and copy it to the VMware Cloud Provider Lifecycle Manager appliance.
  2. Log in to the appliance as vcplcm.
  3. Extract the content from the interoperability bundle by running the command.
    unzip vcplcm-interop-bundle-1.2.lcm
  4. Run the bundle install script.
    /bin/bash interop_bundle_install.sh

Upgrade

VMware Cloud Provider Lifecycle Manager 1.2.0.1 does not support an in-place upgrade from VMware Cloud Provider Lifecycle Manager 1.2. You can install VMware Cloud Provider Lifecycle Manager 1.2.0.1 as a new appliance.

Documentation

To access the full set of product documentation, go to VMware Cloud Provider Lifecycle Manager Documentation.

Interoperability

For information about the VMware Cloud Provider Lifecycle Manager interoperability with other VMware products, see VMware Product Interoperability Matrices.

Known Issues

  • Updating an existing deployment of vRealize Operations Tenant App 2.5 and 2.6 fails

    When you use VMware Cloud Provider Lifecycle Manager to update an existing vRealize Operations Tenant App 2.5 or 2.6 deployment, the REST API task fails with an ERROR status.

    Workaround: 

    1. In vCenter Server, open the vRealize Operations Tenant App VM console.
    2. Manually update the root password for vRealize Operations Tenant App to match the password you configure in the VMware Cloud Provider Lifecycle Manager REST API request.  
    3. In VMware Cloud Provider Lifecycle Manager, run the update REST API request.
  • Deployment and upgrade tasks for vRealize Operations Tenant App can take a long time to complete or fail with an error message

    In VMware Cloud Provider Lifecycle Manager, when you try to deploy or upgrade vRealize Operations Tenant App, the API task can take a long time to complete or fail with an error message such as:
    ERROR
    Vrops TA service or VM tools did not start successfully on VM

    Workaround: 

    1. In vCenter Server, open the vRealize Operations Tenant App VM console.
    2. Restart the vRealize Operations Tenant App virtual machine.  
    3. In VMware Cloud Provider Lifecycle Manager, run the deploy REST API request.
check-circle-line exclamation-circle-line close-line
Scroll to top icon